summaryrefslogtreecommitdiff
path: root/libgo/merge.sh
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2017-01-27 15:01:57 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2017-01-27 15:01:57 +0000
commit42f20102eff9b4e5cfad7cd21505a204df085418 (patch)
treea9cbfe963d60748568459d9a15c3c4c1086bdac2 /libgo/merge.sh
parent3f54004b095d1cd513e63753ee0f8f9f13698347 (diff)
libgo: update to go1.8rc3
Reviewed-on: https://go-review.googlesource.com/35844 From-SVN: r244981
Diffstat (limited to 'libgo/merge.sh')
-rwxr-xr-xlibgo/merge.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/libgo/merge.sh b/libgo/merge.sh
index c750a5d808b..bdf0043f12b 100755
--- a/libgo/merge.sh
+++ b/libgo/merge.sh
@@ -71,7 +71,9 @@ merge() {
elif test -f ${old}; then
# The file exists in the old version.
if ! test -f ${libgo}; then
- echo "merge.sh: $name: skipping: exists in old and new git, but not in libgo"
+ if ! cmp -s ${old} ${new}; then
+ echo "merge.sh: $name: skipping: exists in old and new git, but not in libgo"
+ fi
continue
fi
if cmp -s ${old} ${libgo}; then